local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable
local CreateFrame = CreateFrame

local mtDivider = {};

function mtDivider:New(parent)
  local divider = CreateFrame("Frame","SeamoreSpheres_"..parent.configName.."_divider",parent)
  divider.texture = divider:CreateTexture(nil,"OVERLAY")
  divider.texture:SetTexture(ss.private.textures["divider"])
  divider:SetAllPoints(true)
  divider.texture:SetAllPoints(true)

  return divider
end

ss["DividerCreator"] = setmetatable({}, { __index = mtDivider });
